Intermittent failure in test_containersQueries_sorting.js (NS_ERROR_FAILURE)

RESOLVED FIXED

Status

()

defect
RESOLVED FIXED
9 years ago
7 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Windows Server 2003
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [transaction.commit() failure])

(Reporter)

Description

9 years ago
Pretty sure this isn't the first time, but the brief log doesn't catch much of it, so nobody can be bothered to file it.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262211015.1262218500.11505.gz&fulltext=1
WINNT 5.2 mozilla-central debug test everythingelse on 2009/12/30 14:10:15
s: win32-slave01

NEXT ERROR TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\tests\test_places\queries\test_containersQueries_sorting.js | test failed (with xpcshell return code: 0), see following log:
  >>>>>>>
  ### XPCOM_MEM_LEAK_LOG defined -- logging leaks to c:\docume~1\cltbld\locals~1\temp\tmpteaveu\runxpcshelltests_leaks.log
*** Registering components in: xpconnect
*** Registering components in: nsUConvModule
*** Registering components in: nsI18nModule
*** Registering components in: nsChardetModule
*** Registering components in: nsUniversalCharDetModule
*** Registering components in: necko
*** Registering components in: nsCookieModule
*** Registering components in: nsPermissionsModule
*** Registering components in: nsAuthModule
*** Registering components in: nsJarModule
*** Registering components in: ZipWriterModule
*** Registering components in: nsPrefModule
*** Registering components in: nsSecurityManagerModule
*** Registering components in: nsRDFModule
*** Registering components in: nsXPIntlModule
*** Registering components in: nsWindowDataSourceModule
*** Registering components in: nsParserModule
*** Registering components in: nsGfxModule
*** Registering components in: nsWidgetModule
*** Registering components in: nsImageLib2Module
*** Registering components in: nsIconDecoderModule
*** Registering components in: nsPluginModule
*** Registering components in: nsLayoutModule
*** Registering components in: docshell_provider
*** Registering components in: embedcomponents
*** Registering components in: Browser_Embedding_Module
*** Registering components in: nsAccessibilityModule
*** Registering components in: appshell
*** Registering components in: nsTransactionManagerModule
*** Registering components in: nsComposerModule
*** Registering components in: nsChromeModule
*** Registering components in: application
*** Registering components in: nsFindComponent
*** Registering components in: Apprunner
*** Registering components in: CommandLineModule
*** Registering components in: mozStorageModule
*** Registering components in: nsPlacesModule
*** Registering components in: tkAutoCompleteModule
*** Registering components in: satchel
*** Registering components in: PKI
*** Registering components in: nsToolkitCompsModule
*** Registering components in: nsSoftwareUpdate
*** Registering components in: JavaScript_Debugger
*** Registering components in: BOOT
*** Registering components in: NSS
*** Registering components in: nsAutoConfigModule
*** Registering components in: mozSpellCheckerModule
*** Registering components in: nsWindowsProxyModule
*** Registering components in: jsctypes
*** Registering components in: nsBrowserCompsModule
************************************************************
* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "Component returned failure code: 0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]"  nsresult: "0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE)"  location: "JS frame :: file:///e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/firefox/components/nsBrowserContentHandler.js :: mod_regself :: line 833"  data: no]
************************************************************
pldhash: for the table at address 03848F08, the given entrySize of 48 probably favors chaining over double hashing.
TEST-INFO | (xpcshell/head.js) | test 1 pending
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | [anonymous : 167] true == true
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | [anonymous : 167] true == true
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | [anonymous : 167] true == true
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | [anonymous : 167] true == true
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | [anonymous : 167] true == true
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | [anonymous : 167] true == true
*** registering nsHandlerService.js: [ Handler Service ]
*** registering nsWebHandlerApp.js: [ A web handler for protocols and content ]
*** registering NetworkGeolocationProvider.js: [ A component that returns a geolocation based on WIFI ]
*** registering GPSDGeolocationProvider.js: [ Returns a geolocation from a GPSD source ]
*** registering nsBadCertHandler.js: [ XMLHttpRequest Bad Cert Handler ]
*** registering jsconsole-clhandler.js: [ jsConsoleHandler ]
*** registering nsContentPrefService.js: [ Content Pref Service, Hostname Grouper ]
*** registering nsLoginManager.js: [ LoginManager ]
*** registering nsLoginManagerPrompter.js: [ LoginManagerPromptFactory, LoginManagerPrompter ]
*** registering nsLoginInfo.js: [ LoginInfo ]
*** registering storage-Legacy.js: [ LoginManagerStorage_legacy ]
*** registering storage-mozStorage.js: [ LoginManagerStorage_mozStorage ]
*** registering crypto-SDR.js: [ LoginManagerCrypto_SDR ]
*** registering nsLivemarkService.js: [ Livemark Service ]
*** registering nsTaggingService.js: [ Places Tagging Service, Places Tag AutoComplete ]
*** registering nsPlacesDBFlush.js: [ Used to synchronize the temporary and permanent tables of Places ]
*** registering nsPlacesAutoComplete.js: [ AutoComplete result generator for Places. ]
*** registering nsTryToClose.js: [ tryToClose Service ]
*** registering nsURLFormatter.js: [ Application URL Formatter Service ]
*** loading ISO8601DateUtils
*** registering FeedProcessor.js: [ Feed Processor, Feed Result, Feed, Feed Entry, Feed Text Construct, Feed Generator, Feed Person ]
*** registering nsFormAutoComplete.js: [ FormAutoComplete ]
*** registering nsSearchSuggestions.js: [ Remote Search Suggestions ]
*** registering nsDownloadManagerUI.js: [ Used to show the Download Manager's UI to the user ]
*** registering nsExtensionManager.js: [ Extension Manager, Extension Manager Data Source, Update Item ]
*** registering nsBlocklistService.js: [ Blocklist Service ]
*** registering nsAddonRepository.js: [ Addon Repository ]
*** registering nsContentDispatchChooser.js: [ Used to handle different types of content ]
*** registering nsUpdateService.js: [ Update Service, Update Checker, Update Prompt, Update Manager ]
*** registering nsUpdateTimerManager.js: [ Timer Manager ]
*** registering nsUpdateServiceStub.js: [ Update Service Stub ]
nsNativeModuleLoader::LoadModule("e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\firefox\components\testdynamic.dll") - load FAILED, rv: 80520012, error:
	<unknown; can't get error from NSPR>
nsNativeModuleLoader::LoadModule("e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\firefox\components\MyService.dll") - load FAILED, rv: 80520012, error:
	<unknown; can't get error from NSPR>
nsNativeModuleLoader::LoadModule("e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\firefox\components\xpcomsample.dll") - load FAILED, rv: 80520012, error:
	<unknown; can't get error from NSPR>
nsNativeModuleLoader::LoadModule("e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\firefox\components\testcrasher.dll") - load FAILED, rv: 80520012, error:
	<unknown; can't get error from NSPR>
*** registering FeedWriter.js: [ Feed Writer ]
*** registering WebContentConverter.js: [ Web Content Handler Registrar ]
*** registering nsMicrosummaryService.js: [ Microsummary Service ]
*** registering nsPlacesTransactionsService.js: [ Places Transaction Manager ]
*** registering nsPrivateBrowsingService.js: [ PrivateBrowsing Service ]
*** registering nsSessionStore.js: [ Browser Session Store Service ]
*** registering nsSessionStartup.js: [ Browser Session Startup Service ]
*** registering nsSetDefaultBrowser.js: [ Default Browser Cmdline Handler ]
*** registering nsBrowserGlue.js: [ Firefox Browser Glue Service, Geolocation Prompting Component ]
*** registering fuelApplication.js: [ Application ]
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/toolkit/components/places/src/nsNavBookmarks.cpp, line 1198
*** PLACES TESTS: Problem with this URI: http://www.mozilla.com/b/
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js | Error creating database: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsINavBookmarksService.insertBookmark]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js :: anonymous :: line 287"  data: no]
 - See following stack:
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\head.js :: do_throw :: line 202
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js :: anonymous :: line 307
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/head_queries.js :: populateDB :: line 156
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-everythingelse/build/xpcshell/tests/test_places/queries/test_containersQueries_sorting.js :: run_test :: line 439
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-everythingelse\build\xpcshell\head.js :: _execute_test :: line 130
JS frame :: -e :: <TOP_LEVEL> :: line 1
TEST-INFO | (xpcshell/head.js) | exiting test
WARNING: nsExceptionService ignoring thread destruction after shutdown: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/xpcom/base/nsExceptionService.cpp, line 194
nsStringStats
 => mAllocCount:           2800
 => mReallocCount:           13
 => mFreeCount:            2800
 => mShareCount:           1366
 => mAdoptCount:            809
 => mAdoptFreeCount:        809
nsXPConnect::CommenceShutdown()

  <<<<<<<
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262870739.1262876343.16077.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2010/01/07 05:25:39  


I hadn't seen this one before.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263352994.1263360276.29493.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2010/01/12 19:23:14
s: win32-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264588209.1264590897.6353.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/01/27 02:30:09
(Reporter)

Comment 8

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265575846.1265578485.6176.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/07 12:50:46
s: win32-slave14
(Reporter)

Comment 9

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265653864.1265654960.18326.gz
OS X 10.5.2 mozilla-central opt test xpcshell on 2010/02/08 10:31:04
s: moz2-darwin9-slave18
(Reporter)

Comment 10

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265828663.1265831028.25927.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/10 11:04:23
s: win32-slave35
(Reporter)

Comment 11

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266702689.1266705584.12335.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/20 13:51:29
s: win32-slave06
(Reporter)

Comment 12

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266980795.1266983571.11624.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/23 19:06:35
s: win32-slave33

Comment 13

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267213724.1267217026.23464.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/26 11:48:44
(Reporter)

Comment 14

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267370918.1267373758.24988.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/28 07:28:38
s: win32-slave09
(Reporter)

Comment 15

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267468426.1267471903.14588.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/01 10:33:46
s: win32-slave13
(Reporter)

Comment 16

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268148362.1268151106.29212.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/09 07:26:02
s: win32-slave31
(Reporter)

Comment 18

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268252781.1268256101.17289.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/10 12:26:21
s: win32-slave08
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269424598.1269427990.3797.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/24 02:56:38
s: win32-slave11
(Reporter)

Comment 20

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269444421.1269448578.12161.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/24 08:27:01
s: win32-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269624640.1269626848.9539.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/26 10:30:40  
s: win32-slave27
(Reporter)

Comment 23

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269650151.1269652337.12553.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/26 17:35:51
s: win32-slave27
(Reporter)

Comment 25

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269917996.1269920699.30774.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/29 19:59:56
s: win32-slave29
(Reporter)

Comment 26

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269977548.1269980790.18512.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/30 12:32:28
s: win32-slave08
(Reporter)

Comment 27

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269981601.1269984895.31099.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/30 13:40:01
s: win32-slave14
(Reporter)

Comment 28

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269979952.1269982396.23568.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/30 13:12:32
s: win32-slave39
this is failing on a transaction commit, that means some async stmt has a lock on the db when the sync commit happens.
Summary: Intermittent failure in test_containersQueries_sorting.js → Intermittent failure in test_containersQueries_sorting.js (NS_ERROR_FAILURE)
Depends on: 559678, 559682
Whiteboard: [orange] → [orange][transaction.commit() failure]
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Resolving Places oranges that don't appear on central from at least 6 months.
Check dependencies for bugs that could have fixed the issue.
Please reopen if they re-appear in central.
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → FIXED
Whiteboard: [orange][transaction.commit() failure] → [transaction.commit() failure]
You need to log in before you can comment on or make changes to this bug.